package com.qianhe.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;

/**
 * 规范建设-练兵指导帮扶结果对象 sj_gfjs_lbzdbf_jg
 *
 * @author qianhe
 * @date 2025-08-19
 */
public class SjGfjsLbzdbfJg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 主表id */
    @Excel(name = "主表id")
    private Long zbId;

    /** 单位id */
    @Excel(name = "单位id")
    private Long deptId;

    private String deptName;

    /** 标准操作平均分 */
    @Excel(name = "标准操作平均分")
    private BigDecimal jg1;

    /** 团队应急平均分 */
    @Excel(name = "团队应急平均分")
    private BigDecimal jg2;

    /** 个人应急平均分 */
    @Excel(name = "个人应急平均分")
    private BigDecimal jg3;

    /** 实操演练总分 */
    @Excel(name = "实操演练总分")
    private BigDecimal jg4;

    /** 作业监督得分 */
    @Excel(name = "作业监督得分")
    private BigDecimal jg5;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private BigDecimal jg6;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private BigDecimal jg7;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private BigDecimal jg8;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private BigDecimal jg9;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private BigDecimal jg10;

    /** 预留1 */
    @Excel(name = "预留1")
    private String yl1;

    /** 预留2 */
    @Excel(name = "预留2")
    private String yl2;

    /** 预留3 */
    @Excel(name = "预留3")
    private String yl3;

    /** 预留4 */
    @Excel(name = "预留4")
    private String yl4;

    /** 预留5 */
    @Excel(name = "预留5")
    private String yl5;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setZbId(Long zbId)
    {
        this.zbId = zbId;
    }

    public Long getZbId()
    {
        return zbId;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setJg1(BigDecimal jg1)
    {
        this.jg1 = jg1;
    }

    public BigDecimal getJg1()
    {
        return jg1;
    }
    public void setJg2(BigDecimal jg2)
    {
        this.jg2 = jg2;
    }

    public BigDecimal getJg2()
    {
        return jg2;
    }
    public void setJg3(BigDecimal jg3)
    {
        this.jg3 = jg3;
    }

    public BigDecimal getJg3()
    {
        return jg3;
    }
    public void setJg4(BigDecimal jg4)
    {
        this.jg4 = jg4;
    }

    public BigDecimal getJg4()
    {
        return jg4;
    }
    public void setJg5(BigDecimal jg5)
    {
        this.jg5 = jg5;
    }

    public BigDecimal getJg5()
    {
        return jg5;
    }
    public void setJg6(BigDecimal jg6)
    {
        this.jg6 = jg6;
    }

    public BigDecimal getJg6()
    {
        return jg6;
    }
    public void setJg7(BigDecimal jg7)
    {
        this.jg7 = jg7;
    }

    public BigDecimal getJg7()
    {
        return jg7;
    }
    public void setJg8(BigDecimal jg8)
    {
        this.jg8 = jg8;
    }

    public BigDecimal getJg8()
    {
        return jg8;
    }
    public void setJg9(BigDecimal jg9)
    {
        this.jg9 = jg9;
    }

    public BigDecimal getJg9()
    {
        return jg9;
    }
    public void setJg10(BigDecimal jg10)
    {
        this.jg10 = jg10;
    }

    public BigDecimal getJg10()
    {
        return jg10;
    }
    public void setYl1(String yl1)
    {
        this.yl1 = yl1;
    }

    public String getYl1()
    {
        return yl1;
    }
    public void setYl2(String yl2)
    {
        this.yl2 = yl2;
    }

    public String getYl2()
    {
        return yl2;
    }
    public void setYl3(String yl3)
    {
        this.yl3 = yl3;
    }

    public String getYl3()
    {
        return yl3;
    }
    public void setYl4(String yl4)
    {
        this.yl4 = yl4;
    }

    public String getYl4()
    {
        return yl4;
    }
    public void setYl5(String yl5)
    {
        this.yl5 = yl5;
    }

    public String getYl5()
    {
        return yl5;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("zbId", getZbId())
            .append("deptId", getDeptId())
            .append("jg1", getJg1())
            .append("jg2", getJg2())
            .append("jg3", getJg3())
            .append("jg4", getJg4())
            .append("jg5", getJg5())
            .append("jg6", getJg6())
            .append("jg7", getJg7())
            .append("jg8", getJg8())
            .append("jg9", getJg9())
            .append("jg10", getJg10())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("yl1", getYl1())
            .append("yl2", getYl2())
            .append("yl3", getYl3())
            .append("yl4", getYl4())
            .append("yl5", getYl5())
            .toString();
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
}
